Sign out
POST
/v1/auth/logoutRequires a user session. Revokes the selected session while preserving other sessions.
Authentication and access · Errors and retries
Request
curl -X POST 'https://adapt-mail.com/v1/auth/logout' \ -H 'Authorization: Bearer <access_token>'Parameters
X-Customer-IDheader- Option 1
stringOption 2null
Responses
200 Successful response
application/json
object
logged_outboolean
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject